VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "MSWINSCK.OCX"
Begin VB.Form frmOrderInternet 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3855
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   4335
   Icon            =   "OrderInternet.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3855
   ScaleWidth      =   4335
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSWinsockLib.Winsock Winsock2 
      Left            =   -120
      Top             =   3480
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.Frame frmInfo 
      Height          =   1815
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   4095
      Begin VB.Label lblInfo 
         Alignment       =   2  'Center
         Height          =   1590
         Left            =   120
         TabIndex        =   9
         Top             =   195
         Width           =   3855
      End
   End
   Begin VB.TextBox txtLast 
      Height          =   285
      Left            =   2280
      TabIndex        =   1
      Top             =   2520
      Width           =   1935
   End
   Begin VB.TextBox txtFirst 
      Height          =   285
      Left            =   2280
      TabIndex        =   0
      Top             =   2160
      Width           =   1935
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   2280
      TabIndex        =   4
      Top             =   3360
      Width           =   1935
   End
   Begin VB.CommandButton CmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   3360
      Width           =   1935
   End
   Begin VB.TextBox txtMail 
      Height          =   285
      Left            =   2280
      TabIndex        =   2
      Top             =   2880
      Width           =   1935
   End
   Begin VB.Label lblLast 
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   2520
      Width           =   2055
   End
   Begin VB.Label lblFirst 
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   2160
      Width           =   2055
   End
   Begin VB.Label lblMail 
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   2880
      Width           =   2055
   End
End
Attribute VB_Name = "frmOrderInternet"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'*********
'* Form: *
'*********

Private Sub Form_Load()

  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = "'" & sAlbName & "' " & GetFromINI("frmOrderInternet", "Me.Caption")
  lblInfo.Caption = frmOrderInternet_lblInfo_Caption
  lblFirst.Caption = frmOrderInternet_lblFirst_Caption
  lblLast.Caption = frmOrderInternet_lblLast_Caption
  lblMail.Caption = frmOrderInternet_lblMail_Caption
  cmdOK.Caption = frmOrderInternet_cmdOK_Caption
  cmdCancel.Caption = frmOrderInternet_cmdCancel_Caption
  txtFirst.Text = GetSetting(sAppName, "Order", "First", vbNullString)
  txtLast.Text = GetSetting(sAppName, "Order", "Last", vbNullString)
  txtMail.Text = GetSetting(sAppName, "Order", "Mail", vbNullString)
  txtFirst.SelStart = 0
  txtFirst.SelLength = Len(txtFirst.Text)
  
  'Check FTP connection state:
  If sHost <> HOST_NAME Then
  
    Winsock2.Connect HOST_IP, 21 'Then try host IP address
    
  End If
  
  Me.Width = 4425 'Otherwise size sometimes reduced (bug?)
  Me.Height = 4275
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  txtFirst.Enabled = False
  txtLast.Enabled = False
  txtMail.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderInternet:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  txtFirst.Enabled = True
  txtLast.Enabled = True
  txtMail.Enabled = True
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderInternet:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  Me.Hide
'  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderInternet:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  sFirstName = txtFirst.Text
  sLastName = txtLast.Text
  sEmail = txtMail.Text
  
  If sFirstName = vbNullString Then
  
    MsgBox GetFromINI("frmOrderInternet", "CheckFirst"), vbInformation, sAppName
    txtFirst.SetFocus
    Exit Sub
    
  ElseIf sLastName = vbNullString Then
  
    MsgBox GetFromINI("frmOrderInternet", "CheckLast"), vbInformation, sAppName
    txtLast.SetFocus
    Exit Sub
    
  ElseIf sEmail = vbNullString Then
  
    MsgBox GetFromINI("frmOrderInternet", "CheckMail"), vbInformation, sAppName
    txtMail.SetFocus
    Exit Sub
    
  ElseIf ValidEmail(sEmail) = False Then
  
    MsgBox GetFromINI("frmOrderInternet", "InvalidMail"), vbInformation, sAppName
    txtMail.SetFocus
    txtMail.SelStart = 0
    txtMail.SelLength = Len(txtMail.Text)
    Exit Sub
    
  End If
  
  Busy
  SaveSetting sAppName, "Order", "First", sFirstName
  SaveSetting sAppName, "Order", "Last", sLastName
  SaveSetting sAppName, "Order", "Mail", sEmail
  UnloadObject Me
  frmProgressFTP.FTPAlbum sFirstName, sLastName, LCase(sEmail), False
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmOrderInternet:cmdOK_Click", Erl
  Resume Next
  
End Sub

'************
'* Winsock: *
'************

Private Sub Winsock2_DataArrival(ByVal bytesTotal As Long)

  Dim strData As String
  
  Winsock2.GetData strData
  If Left(strData, 3) = "220" Then sHost = HOST_IP
  
End Sub

Private Sub Winsock2_Error(ByVal Number As Integer, Description As String, ByVal sCode As Long, ByVal Source As String, ByVal HelpFile As String, ByVal HelpContext As Long, CancelDisplay As Boolean)

  MsgBox "FTP connection error: " & Description & " (" & Number & ")", vbCritical, sAppName
  
End Sub
